View Issue Details

IDProjectCategoryView StatusLast Update
0003388GNUnetutil librarypublic2019-02-28 11:17
ReporterChristian GrothoffAssigned Tolurchi 
PrioritylowSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0003388: gnunet-resolver DNS lookup is slow
DescriptionCurrently, the resolver lookup is using gethostbyname and thus processes all DNS resolution requests sequentially. This is bad if the user does lots of them (i.e. by calling gnunet-peerinfo or uses gnunet-peerinfo-gtk) as many requests will then time out if the first ones just take some time.

Doing multiple DNS queries in parallel would solve this problem, but we'd need to use/write/integrate-with a 'real' asynchronous DNS resolver instead of using the simplistic gethostbyname API.
TagsNo tags attached.

Relationships

related to 0004057 closedlurchi getaddrinfo_a should be used in gnunet-service-resolver 
related to 0003387 closedChristian Grothoff gnunet-peerinfo fails to print any addresses on DNS timeout 

Activities

Christian Grothoff

2014-06-11 12:38

manager   ~0008426

Caching now works nicer, so asynchronous resolution is now less of an issue.

Sree Harsha Totakura

2014-07-16 13:25

developer   ~0008525

We could use c-ares (http://c-ares.haxx.se/) for asynchronous name resolution requests.

Christian Grothoff

2014-07-19 16:43

manager   ~0008530

Oh, please not another haxx dependency ;-). Besides, we technically have the logic to do DNS lookups in src/dns/, we just need to change the build order and use it.

lurchi

2018-06-29 01:55

developer   ~0013111

The resolver service now supports asynchronous DNS lookups (forward and reverse).

It turned out that libc has no asynchronous API for doing reverse lookups, so we used the DNSSTUB and DNSPARSER libraries instead.

See commit e7e14740d619777613734cec9400c33cfd30fc3d.

Issue History

Date Modified Username Field Change
2014-04-24 17:58 Christian Grothoff New Issue
2014-04-24 17:59 Christian Grothoff Relationship added related to 0003387
2014-04-24 17:59 Christian Grothoff Status new => confirmed
2014-06-08 15:19 Christian Grothoff Assigned To => Christian Grothoff
2014-06-08 15:19 Christian Grothoff Status confirmed => assigned
2014-06-11 12:38 Christian Grothoff Note Added: 0008426
2014-06-11 12:38 Christian Grothoff Assigned To Christian Grothoff =>
2014-06-11 12:38 Christian Grothoff Priority normal => low
2014-06-11 12:38 Christian Grothoff Status assigned => confirmed
2014-07-16 13:25 Sree Harsha Totakura Note Added: 0008525
2014-07-19 16:43 Christian Grothoff Note Added: 0008530
2018-06-07 23:37 Christian Grothoff Relationship added related to 0004057
2018-06-24 20:08 Christian Grothoff Assigned To => lurchi
2018-06-24 20:08 Christian Grothoff Status confirmed => assigned
2018-06-29 01:55 lurchi Status assigned => resolved
2018-06-29 01:55 lurchi Resolution open => fixed
2018-06-29 01:55 lurchi Fixed in Version => 0.11.0
2018-06-29 01:55 lurchi Note Added: 0013111
2019-02-12 09:20 Christian Grothoff Target Version => 0.11.0
2019-02-28 11:17 Christian Grothoff Status resolved => closed